/*
 *			i s a l n u . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isalnum	Test for Upper-case Alphabetic
index		Test for upper-case alphabetic
synopsis
	.s.nf
	isalnum(c);
	int		c;
	.s.f
Description

	Return non-zero if c is an alphanumeric character, 0 otherwise.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isalnum
#undef	isalnum
#endif

int
isalnum(c)
int		c;
{
	return (_ctype_[c & 0177] & (_U | _L | _D));
}
